package domain


type AlibabaWdkSeriesSortSeriesSortRequest struct {
    /*
        系列编码     */
    SeriesId  *int64 `json:"series_id,omitempty" `

    /*
        有序行业属性对：行业属性key，属性值     */
    IndustryAttrList  *string `json:"industry_attr_list,omitempty" `

    /*
        行业类型     */
    IndustryType  *string `json:"industry_type,omitempty" `

}

func (s *AlibabaWdkSeriesSortSeriesSortRequest) SetSeriesId(v int64) *AlibabaWdkSeriesSortSeriesSortRequest {
    s.SeriesId = &v
    return s
}
func (s *AlibabaWdkSeriesSortSeriesSortRequest) SetIndustryAttrList(v string) *AlibabaWdkSeriesSortSeriesSortRequest {
    s.IndustryAttrList = &v
    return s
}
func (s *AlibabaWdkSeriesSortSeriesSortRequest) SetIndustryType(v string) *AlibabaWdkSeriesSortSeriesSortRequest {
    s.IndustryType = &v
    return s
}
